@font-face {
  font-family: asb;
  src: url(/fonts/asb.ttf);
}

@font-face {
  font-family: dsb;
  src: url(/fonts/dsb.ttf);
}

:root {
  --bg: #f5f7f8;
  --secondaryBg: #fcde70;
  --highlight: #e8b86d;
  --text: #185519;
}
@media (prefer-color-scheme:dark){
  :root {
  --bg: #f5f7f8;
  --secondaryBg: #fcde70;
  --highlight: #e8b86d;
  --text: #185519;
}
}

::-webkit-scrollbar {
  width: 8px;
  background: var(--bg);
}

::-webkit-scrollbar-thumb {
  background: var(--secondaryBg);
  transition: all 0.2s linear;
}

::-webkit-scrollbar-thumb:hover {
  background: var(--highlight);
}

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  color: var(--text);
  font-family: dsb;
}

a {
  text-decoration: none;
  border: none;
}

/* ::selection {
  background: var(--color3);
  backdrop-filter: blur(23px);
  color: var(--color6);
} */

html,
body {
  width: 100%;
  height: 100%;
  position: relative;
}

body {
  background: var(--bg);
}

.block1 {
  width: 100%;
  height: max-content;
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: column;
}

.block2 {
  width: 100%;
  height: 100%;
}

.content {
  width: 80%;
  height: 80%;
  background: var(--secondaryBg);
  border-radius: 0 0 5px 5px;
  display: flex;
  justify-content: center;
  align-items: center;
}

.prev,
.next {
  width: 70px;
  height: 70px;
  background: var(--color3);
  backdrop-filter: blur(23px);
  position: absolute;
  z-index: 3;
  border: none;
  outline: 2.5px solid var(--secondaryBg);
}

.prev {
  left: 0;
  border-radius: 0 50% 50% 0;
  transform: translateX(-30%);
}

.next {
  right: 0;
  border-radius: 50% 0% 0% 50%;
  transform: translateX(30%);
}

.imgContainer {
  width: 80%;
  height: 80%;
  position: relative;
  display: flex;
  justify-content: center;
  align-items: center;
  overflow: hidden;
  perspective: 10000px;
  transition: all 0.5s ease;
}

.imgBlock {
  width: 100%;
  height: 100%;
  transform-style: preserve-3d;
  transform-origin: center;
  display: flex;
  justify-content: center;
  align-items: center;
  transition: all 0.6s linear;
}

.images {
  position: absolute;
  transform-style: preserve-3d;
  width: 500px;
  height: 300px;
  scale: 1;
  transform: rotateY(calc(72deg * var(--i))) translateZ(500px);
}

.jpgs {
  width: 100%;
  height: 100%;
}

.loader {
  width: 100vw;
  height: 100vh;
  background: var(--bg);
  backdrop-filter: blur(23px);
  position: fixed;
  z-index: 10;
  display: flex;
  justify-content: center;
  align-items: center;
  overflow: hidden;
}

.first {
  width: 135px;
  height: 135px;
  border-radius: 50%;
  animation: rotate 10s cubic-bezier(0.7, 1.5, 0.675, -1.19) infinite;
  display: flex;
  justify-content: center;
  align-items: center;
  padding: 5px;
  outline: 15px dashed var(--secondaryBg);
  --val: 2;
  scale: 0.4;
}

.second {
  width: 68%;
  height: 68%;
  border-radius: 50%;
  animation: rotate 10s linear infinite;
  display: flex;
  justify-content: center;
  align-items: center;
  padding: 5px;
  outline: 15px dashed var(--highlight);
  --val: -3;
}

.third {
  width: 32%;
  height: 32%;
  border-radius: 50%;
  animation: rotate 10s linear infinite;
  outline: 15px dashed var(--text);
  --val: 4;
  display: flex;
  justify-content: center;
  align-items: center;
  font-size: 2rem;
  padding: 5px;
}

.plus {
  position: absolute;
  font-size: 1.5rem;
  font-weight: 700;
  color: var(--text);
}

img[logo] {
  width: 100px;
}

.searchBAR {
  width: 100%;
  height: 100px;
  padding: 10px;
  /* transform: translateX(-100%); */
  position: fixed;
  display: flex;
  justify-content: center;
  align-items: center;
  z-index: 10;
  pointer-events: none;

  & .input {
    width: 300px;
    height: 100%;
    text-align: center;
    background: var(--bg);
    display: flex;
    align-items: center;
    justify-content: start;
    padding: 20px;
    border-radius: 20px;
    backdrop-filter: blur(20px);
    box-shadow: 1px 1px 7px grey;

    & form {
      width: 100%;
      height: 100%;
      display: flex;
      justify-content: space-evenly;
      align-items: center;
      pointer-events: all;
    }

    & form input {
      width: 200px;
      height: 40px;
      border-radius: 20px;
      box-shadow: none;
      outline: none;
      background: var(--bg);
      padding: 15px;
      transition:
        background 0.3s linear,
        outline 0.3s linear;
      border-top: 3.25px solid var(--text);
      border-left: 3.25px solid var(--text);
      border-bottom: 3.25px solid var(--highlight);
      border-right: 3.25px solid var(--highlight);

      &:focus {
        background: var(--secondaryBg);
        border-top: 3.25px solid var(--highlight);
        border-left: 3.25px solid var(--highlight);
        border-bottom: 3.25px solid var(--text);
        border-right: 3.25px solid var(--text);
      }
    }

    & form button {
      width: 36.5px;
      height: 36.5px;
      background: transparent;
      border-radius: 50px;
      border-top: 3.25px solid var(--secondaryBg);
      border-left: 3.25px solid var(--secondaryBg);
      border-bottom: 3.25px solid var(--text);
      border-right: 3.25px solid var(--text);

      &:focus {
        border-top: 3.25px solid var(--text);
        border-left: 3.25px solid var(--text);
        border-bottom: 3.25px solid var(--secondaryBg);
        border-right: 3.25px solid var(--secondaryBg);
      }

      & img {
        width: 100%;
        height: 100%;
        scale: 0.6;
      }
    }
  }
}

.searchBAR {
  transform: translateY(-150%);
}

@keyframes rotate {
  100% {
    transform: rotateZ(calc(var(--val) * 360deg));
  }
}
